Description

When running foreman-installer to upgrade puppet 3 -> 4 in place, puppet server fails to start because of missing 

"puppetlabs.trapperkeeper.services.status.status-service/status-service": "/status" in server.conf.

This line should be added by foreman-installer

1

; witch did not seem to work.

As a workaround, puppet server version should be specifid explicitly using foreman-installer:

puppetserver -v

puppetserver version: 2.7.2

foreman-installer --puppet-server-puppetserver-version=2.7.2

 [1] https://github.com/theforeman/puppet-puppet/blob/master/templates/server/puppetserver/conf.d/web-routes.conf.erb#L17

History

#1 - 05/15/2017 05:37 AM - Daniel Helgenberger

Related to https://github.com/theforeman/puppet-puppet/pull/432

#2 - 05/15/2017 05:52 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Category deleted (Puppet integration)

- Status changed from New to Feedback

The installer isn't meant to detect the version, it should be set to the version being installed.

You can also reset it to the default value, which configures it for the latest known version. I've changed the upgrade instructions at 

http://projects.theforeman.org/projects/foreman/wiki/Upgrading_from_Puppet_3_to_4#section-7 to recommend this during an upgrade, as it's likely

that you are installing the latest.

#3 - 05/15/2017 06:13 AM - Daniel Helgenberger

Indeed, I concur we can assume one is installing the latest version of Puppet Server version in this scenario; resetting puppet server version seems

like the best option.

The installer isn't meant to detect the version, it should be set to the version being installed.

 However, if Puppetlabs decide to introduce another config change on future versions, how would this be handled with foreman installer? Shouldn't

foreman-installer be able to detect the installed version?

#4 - 05/15/2017 06:26 AM - Dominic Cleal

- Subject changed from Foreman-installer: not detecting correct puppet server version to Detect Puppet server version automatically

- Category set to Foreman modules

- Status changed from Feedback to New
https://github.com/theforeman/puppet-puppet/blob/master/templates/server/puppetserver/conf.d/web-routes.conf.erb#L17
https://github.com/theforeman/puppet-puppet/pull/432
http://projects.theforeman.org/projects/foreman/wiki/Upgrading_from_Puppet_3_to_4#section-7


#5 - 05/15/2017 06:26 AM - Dominic Cleal

- Tracker changed from Bug to Feature

#6 - 05/20/2017 11:54 AM - Anonymous

- Status changed from New to Rejected

there's no possibilty to detect the puppetserver version, as we learned in the past.
